# Contributing
First of all, every participant should obey [Contributor Covenant Code of Conduct](CODE_OF_CONDUCT.md). In this project, Chinese and English both are welcoming.

## Workflow
1. Fork the PyLf repository;
2. Improve documents and examples, improve tests, optimize algorithm, etc;
3. Provide tests for any newly added code in `pylf` package;
4. Run all the test code in `tests` folder if you change any code in `pylf` package;
5. Update `NEWS.md` for non-transparent changes;
6. Create a pull request to pull the changes to the master branch.

## Guidelines
* One commit for one change;
* Follow PEP8;
* Only can use English in source codes, except in comments;
* Maintain consistency with the whole (e.g. code style, algorithm, expressions, etc);
* It would be better to run [Pycharm](https://www.jetbrains.com/pycharm/)'s default `Reformat Code` and `Optimize Imports`;
* The documents and the examples both are for released versions; 
* Contact me if you have any question.

## Contact
* Email: gsllchb@gmail.com
